ARGoS on Ubuntu 12.04 LTS

Request and discuss missing features here.
mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Sun May 13, 2012 6:43 pm

Hi Arkapravo,

I have successfully compiled ARGoS under Ubuntu 12.04LTS (64 bit). I'm currently writing up a tutorial / walk though of my steps and I will post it here when I'm done.

Cheers,

Mike

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Tue May 15, 2012 9:24 am

Here is my draft of the build instructions, let me know if you have any trouble or if anything is unclear and I'll try find time to amend it.

https://docs.google.com/document/d/1m5L ... zXeaE/edit

I once this document is complete I will attach a PDF to this thread with the final copy or possibly move it on to a Wiki at some stage.

Mike

Arkapravo
Posts: 4
Joined: Sat Apr 21, 2012 3:48 pm
Location: New Delhi, India
Contact:

Re: ARGoS on Ubuntu 12.04 LTS

Postby Arkapravo » Wed May 16, 2012 8:09 am

Mallwright

That is devilishly well done ! Good Job :-)

pincy
Site Admin
Posts: 512
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: ARGoS on Ubuntu 12.04 LTS

Postby pincy » Mon May 21, 2012 8:25 pm

I have fixed the dependencies in the new ARGoS release. Now the package I provided should work also on Ubuntu 12.04. Can you please confirm it? Thanks a lot!
I made ARGoS.

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Fri May 25, 2012 1:44 pm

Hi Pincy, sorry about the slow reply, the mailout / subscription to this forum seems a bit stochastic in the sense of when I'm notified about posts.

Anyway, here are my results of installing ARGoS on Ubuntu 12.04 LTS 32 Bit. For this testing I used a Live CD on real (as apposed to virtualised) hardware (mostly intel).

First lets try to dpkg the package:

Code: Select all

ubuntu@ubuntu:~/Downloads$ sudo dpkg -i argos2-20120521-i386-1cp.deb Selecting previously unselected package argos2. (Reading database ... 150248 files and directories currently installed.) Unpacking argos2 (from argos2-20120521-i386-1cp.deb) ... dpkg: dependency problems prevent configuration of argos2: argos2 depends on libgsl0-dev; however: Package libgsl0-dev is not installed. argos2 depends on freeglut3-dev; however: Package freeglut3-dev is not installed. argos2 depends on libqt4-opengl-dev; however: Package libqt4-opengl-dev is not installed. argos2 depends on libxi-dev; however: Package libxi-dev is not installed. argos2 depends on libxmu-dev; however: Package libxmu-dev is not installed. dpkg: error processing argos2 (--install): dependency problems - leaving unconfigured Processing triggers for man-db ... Errors were encountered while processing: argos2
Okay so we have some dependancies, lets install them, after we remove the mess dpkg made with argos

Code: Select all

ubuntu@ubuntu:~/Downloads$ sudo apt-get remove argos2 Reading package lists... Done Building dependency tree Reading state information... Done The following packages will be REMOVED: argos2 0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded. 1 not fully installed or removed. After this operation, 0 B of additional disk space will be used. Do you want to continue [Y/n]? y (Reading database ... 150687 files and directories currently installed.) Removing argos2 ... Processing triggers for man-db ...

Code: Select all

ubuntu@ubuntu:~/Downloads$ sudo apt-get install libgsl0-dev freeglut3-dev libqt4-opengl-dev libxi-dev libxmu-dev Reading package lists... Done Building dependency tree Reading state information... Done The following extra packages will be installed: freeglut3 libdrm-dev libgl1-mesa-dev libglu1-mesa-dev libgsl0ldbl libice-dev libkms1 libpthread-stubs0 libpthread-stubs0-dev libqt4-designer libqt4-dev libqt4-help libqt4-qt3support libqt4-scripttools libqt4-test libqtwebkit-dev libqtwebkit4 libsm-dev libx11-dev libx11-doc libxau-dev libxcb1-dev libxdmcp-dev libxext-dev libxmu-headers libxt-dev mesa-common-dev qt4-linguist-tools qt4-qmake x11proto-core-dev x11proto-input-dev x11proto-kb-dev x11proto-xext-dev xorg-sgml-doctools xtrans-dev Suggested packages: gsl-ref-psdoc gsl-doc-pdf gsl-doc-info gsl-ref-html libmysqlclient-dev libpq-dev libsqlite3-dev qt4-dev-tools qt4-doc unixodbc-dev libxcb-doc The following NEW packages will be installed: freeglut3 freeglut3-dev libdrm-dev libgl1-mesa-dev libglu1-mesa-dev libgsl0-dev libgsl0ldbl libice-dev libkms1 libpthread-stubs0 libpthread-stubs0-dev libqt4-designer libqt4-dev libqt4-help libqt4-opengl-dev libqt4-qt3support libqt4-scripttools libqt4-test libqtwebkit-dev libqtwebkit4 libsm-dev libx11-dev libx11-doc libxau-dev libxcb1-dev libxdmcp-dev libxext-dev libxi-dev libxmu-dev libxmu-headers libxt-dev mesa-common-dev qt4-linguist-tools qt4-qmake x11proto-core-dev x11proto-input-dev x11proto-kb-dev x11proto-xext-dev xorg-sgml-doctools xtrans-dev 0 upgraded, 40 newly installed, 0 to remove and 0 not upgraded. Need to get 24.6 MB of archives. After this operation, 101 MB of additional disk space will be used. Do you want to continue [Y/n]? y Get:1 http://archive.ubuntu.com/ubuntu/ precise/main libkms1 i386 2.4.32-1ubuntu1 [9,692 B] Get:2 http://archive.ubuntu.com/ubuntu/ precise/main libqt4-designer i386 4:4.8.1-0ubuntu4 [3,653 kB] Get:3 http://archive.ubuntu.com/ubuntu/ precise/main libqt4-help i386 4:4.8.1-0ubuntu4 [210 kB] Get:4 http://archive.ubuntu.com/ubuntu/ precise/main libqt4-qt3support i386 4:4.8.1-0ubuntu4 [1,045 kB] Get:5 http://archive.ubuntu.com/ubuntu/ precise/main libqt4-scripttools i386 4:4.8.1-0ubuntu4 [229 kB] Get:6 http://archive.ubuntu.com/ubuntu/ precise/main libqt4-test i386 4:4.8.1-0ubuntu4 [61.7 kB] Get:7 http://archive.ubuntu.com/ubuntu/ precise/main libqtwebkit4 i386 2.2.1-1ubuntu4 [6,326 kB] Get:8 http://archive.ubuntu.com/ubuntu/ precise/main freeglut3 i386 2.6.0-1ubuntu2 [77.5 kB] Get:9 http://archive.ubuntu.com/ubuntu/ precise/main xorg-sgml-doctools all 1:1.10-1 [12.0 kB] Get:10 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-core-dev all 7.0.22-1 [299 kB] Get:11 http://archive.ubuntu.com/ubuntu/ precise/main libxau-dev i386 1:1.0.6-4 [10.2 kB] Get:12 http://archive.ubuntu.com/ubuntu/ precise/main libxdmcp-dev i386 1:1.1.0-4 [26.5 kB] Get:13 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-input-dev all 2.1.99.6-1 [133 kB] Get:14 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-kb-dev all 1.0.5-2 [27.6 kB] Get:15 http://archive.ubuntu.com/ubuntu/ precise/main xtrans-dev all 1.2.6-2 [82.9 kB] Get:16 http://archive.ubuntu.com/ubuntu/ precise/main libpthread-stubs0 i386 0.3-3 [3,264 B] Get:17 http://archive.ubuntu.com/ubuntu/ precise/main libpthread-stubs0-dev i386 0.3-3 [2,860 B] Get:18 http://archive.ubuntu.com/ubuntu/ precise/main libxcb1-dev i386 1.8.1-1 [82.4 kB] Get:19 http://archive.ubuntu.com/ubuntu/ precise/main libx11-dev i386 2:1.4.99.1-0ubuntu2 [894 kB] Get:20 http://archive.ubuntu.com/ubuntu/ precise/main libdrm-dev i386 2.4.32-1ubuntu1 [178 kB] Get:21 http://archive.ubuntu.com/ubuntu/ precise/main mesa-common-dev i386 8.0.2-0ubuntu3 [243 kB] Get:22 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-xext-dev all 7.2.0-3 [253 kB] Get:23 http://archive.ubuntu.com/ubuntu/ precise/main libxext-dev i386 2:1.3.0-3build1 [150 kB] Get:24 http://archive.ubuntu.com/ubuntu/ precise/main libgl1-mesa-dev i386 8.0.2-0ubuntu3 [4,984 B] Get:25 http://archive.ubuntu.com/ubuntu/ precise/main libglu1-mesa-dev i386 8.0.2-0ubuntu3 [191 kB] Get:26 http://archive.ubuntu.com/ubuntu/ precise/main libice-dev i386 2:1.0.7-2build1 [130 kB] Get:27 http://archive.ubuntu.com/ubuntu/ precise/main libsm-dev i386 2:1.2.0-2build1 [88.3 kB] Get:28 http://archive.ubuntu.com/ubuntu/ precise/main libxt-dev i386 1:1.1.1-2build1 [472 kB] Get:29 http://archive.ubuntu.com/ubuntu/ precise/main freeglut3-dev i386 2.6.0-1ubuntu2 [146 kB] Get:30 http://archive.ubuntu.com/ubuntu/ precise/main libgsl0ldbl i386 1.15+dfsg-1build1 [962 kB] Get:31 http://archive.ubuntu.com/ubuntu/ precise/main libgsl0-dev i386 1.15+dfsg-1build1 [1,240 kB] Get:32 http://archive.ubuntu.com/ubuntu/ precise/main qt4-linguist-tools i386 4:4.8.1-0ubuntu4 [839 kB] Get:33 http://archive.ubuntu.com/ubuntu/ precise/main qt4-qmake i386 4:4.8.1-0ubuntu4 [1,268 kB] Get:34 http://archive.ubuntu.com/ubuntu/ precise/main libqt4-dev i386 4:4.8.1-0ubuntu4 [2,447 kB] Get:35 http://archive.ubuntu.com/ubuntu/ precise/main libqt4-opengl-dev i386 4:4.8.1-0ubuntu4 [22.6 kB] Get:36 http://archive.ubuntu.com/ubuntu/ precise/main libqtwebkit-dev i386 2.2.1-1ubuntu4 [23.1 kB] Get:37 http://archive.ubuntu.com/ubuntu/ precise/main libx11-doc all 2:1.4.99.1-0ubuntu2 [2,413 kB] Get:38 http://archive.ubuntu.com/ubuntu/ precise/main libxi-dev i386 2:1.6.0-0ubuntu2 [201 kB] Get:39 http://archive.ubuntu.com/ubuntu/ precise/main libxmu-headers all 2:1.1.0-3 [56.4 kB] Get:40 http://archive.ubuntu.com/ubuntu/ precise/main libxmu-dev i386 2:1.1.0-3 [58.2 kB] Fetched 24.6 MB in 7s (3,367 kB/s) Extracting templates from packages: 100% Selecting previously unselected package libkms1. (Reading database ... 150248 files and directories currently installed.) Unpacking libkms1 (from .../libkms1_2.4.32-1ubuntu1_i386.deb) ... Selecting previously unselected package libqt4-designer. Unpacking libqt4-designer (from .../libqt4-designer_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqt4-help. Unpacking libqt4-help (from .../libqt4-help_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqt4-qt3support. Unpacking libqt4-qt3support (from .../libqt4-qt3support_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqt4-scripttools. Unpacking libqt4-scripttools (from .../libqt4-scripttools_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqt4-test. Unpacking libqt4-test (from .../libqt4-test_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqtwebkit4. Unpacking libqtwebkit4 (from .../libqtwebkit4_2.2.1-1ubuntu4_i386.deb) ... Selecting previously unselected package freeglut3. Unpacking freeglut3 (from .../freeglut3_2.6.0-1ubuntu2_i386.deb) ... Selecting previously unselected package xorg-sgml-doctools. Unpacking xorg-sgml-doctools (from .../xorg-sgml-doctools_1%3a1.10-1_all.deb) ... Selecting previously unselected package x11proto-core-dev. Unpacking x11proto-core-dev (from .../x11proto-core-dev_7.0.22-1_all.deb) ... Selecting previously unselected package libxau-dev. Unpacking libxau-dev (from .../libxau-dev_1%3a1.0.6-4_i386.deb) ... Selecting previously unselected package libxdmcp-dev. Unpacking libxdmcp-dev (from .../libxdmcp-dev_1%3a1.1.0-4_i386.deb) ... Selecting previously unselected package x11proto-input-dev. Unpacking x11proto-input-dev (from .../x11proto-input-dev_2.1.99.6-1_all.deb) ... Selecting previously unselected package x11proto-kb-dev. Unpacking x11proto-kb-dev (from .../x11proto-kb-dev_1.0.5-2_all.deb) ... Selecting previously unselected package xtrans-dev. Unpacking xtrans-dev (from .../xtrans-dev_1.2.6-2_all.deb) ... Selecting previously unselected package libpthread-stubs0. Unpacking libpthread-stubs0 (from .../libpthread-stubs0_0.3-3_i386.deb) ... Selecting previously unselected package libpthread-stubs0-dev. Unpacking libpthread-stubs0-dev (from .../libpthread-stubs0-dev_0.3-3_i386.deb) ... Selecting previously unselected package libxcb1-dev. Unpacking libxcb1-dev (from .../libxcb1-dev_1.8.1-1_i386.deb) ... Selecting previously unselected package libx11-dev. Unpacking libx11-dev (from .../libx11-dev_2%3a1.4.99.1-0ubuntu2_i386.deb) ... Selecting previously unselected package libdrm-dev. Unpacking libdrm-dev (from .../libdrm-dev_2.4.32-1ubuntu1_i386.deb) ... Selecting previously unselected package mesa-common-dev. Unpacking mesa-common-dev (from .../mesa-common-dev_8.0.2-0ubuntu3_i386.deb) ... Selecting previously unselected package x11proto-xext-dev. Unpacking x11proto-xext-dev (from .../x11proto-xext-dev_7.2.0-3_all.deb) ... Selecting previously unselected package libxext-dev. Unpacking libxext-dev (from .../libxext-dev_2%3a1.3.0-3build1_i386.deb) ... Selecting previously unselected package libgl1-mesa-dev. Unpacking libgl1-mesa-dev (from .../libgl1-mesa-dev_8.0.2-0ubuntu3_i386.deb) ... Selecting previously unselected package libglu1-mesa-dev. Unpacking libglu1-mesa-dev (from .../libglu1-mesa-dev_8.0.2-0ubuntu3_i386.deb) ... Selecting previously unselected package libice-dev. Unpacking libice-dev (from .../libice-dev_2%3a1.0.7-2build1_i386.deb) ... Selecting previously unselected package libsm-dev. Unpacking libsm-dev (from .../libsm-dev_2%3a1.2.0-2build1_i386.deb) ... Selecting previously unselected package libxt-dev. Unpacking libxt-dev (from .../libxt-dev_1%3a1.1.1-2build1_i386.deb) ... Selecting previously unselected package freeglut3-dev. Unpacking freeglut3-dev (from .../freeglut3-dev_2.6.0-1ubuntu2_i386.deb) ... Selecting previously unselected package libgsl0ldbl. Unpacking libgsl0ldbl (from .../libgsl0ldbl_1.15+dfsg-1build1_i386.deb) ... Selecting previously unselected package libgsl0-dev. Unpacking libgsl0-dev (from .../libgsl0-dev_1.15+dfsg-1build1_i386.deb) ... Selecting previously unselected package qt4-linguist-tools. Unpacking qt4-linguist-tools (from .../qt4-linguist-tools_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package qt4-qmake. Unpacking qt4-qmake (from .../qt4-qmake_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqt4-dev. Unpacking libqt4-dev (from .../libqt4-dev_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqt4-opengl-dev. Unpacking libqt4-opengl-dev (from .../libqt4-opengl-dev_4%3a4.8.1-0ubuntu4_i386.deb) ... Selecting previously unselected package libqtwebkit-dev. Unpacking libqtwebkit-dev (from .../libqtwebkit-dev_2.2.1-1ubuntu4_i386.deb) ... Selecting previously unselected package libx11-doc. Unpacking libx11-doc (from .../libx11-doc_2%3a1.4.99.1-0ubuntu2_all.deb) ... Selecting previously unselected package libxi-dev. Unpacking libxi-dev (from .../libxi-dev_2%3a1.6.0-0ubuntu2_i386.deb) ... Selecting previously unselected package libxmu-headers. Unpacking libxmu-headers (from .../libxmu-headers_2%3a1.1.0-3_all.deb) ... Selecting previously unselected package libxmu-dev. Unpacking libxmu-dev (from .../libxmu-dev_2%3a1.1.0-3_i386.deb) ... Processing triggers for man-db ... Setting up libkms1 (2.4.32-1ubuntu1) ... Setting up libqt4-designer (4:4.8.1-0ubuntu4) ... Setting up libqt4-help (4:4.8.1-0ubuntu4) ... Setting up libqt4-qt3support (4:4.8.1-0ubuntu4) ... Setting up libqt4-scripttools (4:4.8.1-0ubuntu4) ... Setting up libqt4-test (4:4.8.1-0ubuntu4) ... Setting up libqtwebkit4 (2.2.1-1ubuntu4) ... Setting up freeglut3 (2.6.0-1ubuntu2) ... Setting up xorg-sgml-doctools (1:1.10-1) ... Setting up x11proto-core-dev (7.0.22-1) ... Setting up libxau-dev (1:1.0.6-4) ... Setting up libxdmcp-dev (1:1.1.0-4) ... Setting up x11proto-input-dev (2.1.99.6-1) ... Setting up x11proto-kb-dev (1.0.5-2) ... Setting up xtrans-dev (1.2.6-2) ... Setting up libpthread-stubs0 (0.3-3) ... Setting up libpthread-stubs0-dev (0.3-3) ... Setting up libxcb1-dev (1.8.1-1) ... Setting up libx11-dev (2:1.4.99.1-0ubuntu2) ... Setting up libdrm-dev (2.4.32-1ubuntu1) ... Setting up mesa-common-dev (8.0.2-0ubuntu3) ... Setting up x11proto-xext-dev (7.2.0-3) ... Setting up libxext-dev (2:1.3.0-3build1) ... Setting up libgl1-mesa-dev (8.0.2-0ubuntu3) ... Setting up libglu1-mesa-dev (8.0.2-0ubuntu3) ... Setting up libice-dev (2:1.0.7-2build1) ... Setting up libsm-dev (2:1.2.0-2build1) ... Setting up libxt-dev (1:1.1.1-2build1) ... Setting up freeglut3-dev (2.6.0-1ubuntu2) ... Setting up libgsl0ldbl (1.15+dfsg-1build1) ... Setting up libgsl0-dev (1.15+dfsg-1build1) ... Setting up qt4-linguist-tools (4:4.8.1-0ubuntu4) ... update-alternatives: using /usr/bin/lupdate-qt4 to provide /usr/bin/lupdate (lupdate) in auto mode. update-alternatives: using /usr/bin/lrelease-qt4 to provide /usr/bin/lrelease (lrelease) in auto mode. Setting up qt4-qmake (4:4.8.1-0ubuntu4) ... update-alternatives: using /usr/bin/qmake-qt4 to provide /usr/bin/qmake (qmake) in auto mode. Setting up libqt4-dev (4:4.8.1-0ubuntu4) ... update-alternatives: using /usr/bin/moc-qt4 to provide /usr/bin/moc (moc) in auto mode. update-alternatives: using /usr/bin/uic-qt4 to provide /usr/bin/uic (uic) in auto mode. update-alternatives: warning: skip creation of /usr/share/man/man1/uic.1.gz because associated file /usr/share/man/man1/uic-qt4.1.gz (of link group uic) doesn't exist. Setting up libqt4-opengl-dev (4:4.8.1-0ubuntu4) ... Setting up libqtwebkit-dev (2.2.1-1ubuntu4) ... Setting up libx11-doc (2:1.4.99.1-0ubuntu2) ... Setting up libxi-dev (2:1.6.0-0ubuntu2) ... Setting up libxmu-headers (2:1.1.0-3) ... Setting up libxmu-dev (2:1.1.0-3) ... Processing triggers for libc-bin ... ldconfig deferred processing now taking place
now lets try and install that package again:

Code: Select all

ubuntu@ubuntu:~/Downloads$ sudo dpkg -i argos2-20120521-i386-1cp.deb Selecting previously unselected package argos2. (Reading database ... 156210 files and directories currently installed.) Unpacking argos2 (from argos2-20120521-i386-1cp.deb) ... Setting up argos2 (20120521-1cp) ... Processing triggers for man-db ... ubuntu@ubuntu:~/Downloads$
That seemed to work well, however... :) on running the command "argos -p all" we get the error that argos can not find the main shared library, it seems that this wasn't added to the library path configuration. so lets run:

Code: Select all

sudo bash echo "/usr/lib/argos2" > /etc/ld.so.conf.d/argos.conf ldconfig
and then everything works :D

pincy
Site Admin
Posts: 512
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: ARGoS on Ubuntu 12.04 LTS

Postby pincy » Fri May 25, 2012 2:08 pm

Hi Mark,

thanks a lot for all the effort :-)

Just a remark: the command "argos" should not usually be run directly. Instead, I made the wrapper script "launch_argos".

I know the trick of adding a file to the /etc/ld.so.conf.d directory. I preferred to avoid it and use a wrapper script for the following reasons:
1. it does not help with the variable ARGOSINSTALLDIR anyway;
2. not all Linux distributions work with that, unfortunately. Some need to patch the file /etc/ld.so.conf.

Anyway, once more, thanks a lot for your work!

Cheers,
Carlo
I made ARGoS.

mallwright
Posts: 35
Joined: Tue Apr 17, 2012 11:15 am

Re: ARGoS on Ubuntu 12.04 LTS

Postby mallwright » Fri May 25, 2012 2:35 pm

No worries Pinci, it's been awhile since I have run Argos using the package installation and had forgotten about the launch_argos script.

Cheers,

Mike


Return to “Feature Requests”



cron